Page MenuHomePhabricator

Make my project a Featured Project : LinguaLibre
Closed, DeclinedPublic

Event Timeline

Yug created this task.Aug 10 2017, 6:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 6:30 PM
Qgil updated the task description. (Show Details)EditedAug 29 2017, 8:12 PM
Qgil added a subscriber: Qgil.

@Yug, thank you for your offer. @Aklapper what do you think?

Qgil triaged this task as Medium priority.Sep 12 2017, 8:43 AM
Qgil added a comment.Sep 12 2017, 9:11 AM

LinguaLibre is listed in https://www.mediawiki.org/wiki/New_Developers#Choose_a_software_project

I guess this task is Resolved now?

Yug closed this task as Resolved.Sep 12 2017, 11:18 AM
Yug claimed this task.

Sorry @Yug for my late reply here; this fell through the cracks. :(
Thanks a lot for joining and for adding LinguaLibre to the page!

@Yug: Is there some mailing list, IRC channel, or some other place where a new contributor could discuss things and get in contact?
I'm asking because currently, there are links to GitHub (the documentation is pretty good, thanks!) and to your user page at https://www.mediawiki.org/wiki/User:Yug and I'm afraid that not many people will find that "Email this user" link in the side bar, and https://lingualibre.fr/ is in French only (which is not a problem per se, but might confuse some folks at first, so that might also welcome a short sentence that it's not required to speak French but that the website is in French?)

Aklapper reopened this task as Open.Nov 13 2017, 10:50 AM

I'm going to reopen this task as per my last comment.
I consider "single point of failure" bottlenecks (=having only a single person via a single way to contact) dangerous for projects.
Once @Yug has clarified (I sent an email via "Email this user" on-wiki to Yug on October 24th) on ways to get into contact with LinguaLibre we can resolve this.
Thanks :)

@Yug: Could you please reply?

Yug added a comment.EditedDec 11 2017, 10:17 PM

To contact the project main actors, please use :

Note : thanks you guys for poking me !

@Yug: Hmm. Thing is, going to https://lists.wikimedia.fr/info/lingualibre you'd need to find Abonnement > Votre adresse de messagerie to subscribe.
In its current form I'm not convinced this should remain listed as a project on mw:New_Developers, because relevant info seems to be behind a a language barrier. :(

Aklapper lowered the priority of this task from Medium to Low.Dec 31 2017, 3:38 PM
Aklapper moved this task from Oct-Dec 2017 to Jan-Mar-2018 on the Developer-Advocacy board.
Qgil added a comment.Jan 2 2018, 7:27 PM

I don't know how this influences this task, but LinguaLibre was awarded with a grant recently: https://meta.wikimedia.org/wiki/Grants:Project/0x010C/LinguaLibre

I still wonder how to make things easier for developers who do not understand French.

So I tried myself last night as a guinea pig.
Describing my experience:

  1. I went to https://lists.wikimedia.fr/subscribe/lingualibre and entered my email address in the field "Votre adresse de messagerie". I received an email:

Subject: Listes de Wikimédia France / abonnement à lingualibre
Quelqu'un - sans doute vous - a formulé une demande d'abonnement à la liste lingualibre@lists... (Cette requête a été effectuée depuis l'hôte 89.xxx.xxx.xxx).
Vous pouvez ignorer cette requête ou bien cliquer sur le lien suivant pour valider votre demande.: https://lists.wikimedia.fr/ticket/xxxxxxxxxxxxxx

  1. After validating the request by clicking that link I got displayed in my browser:

La demande a été soumise au gestionnaire de la liste

  1. Later on I received an email:

Bienvenue sur la liste lingualibre
Votre adresse d'abonné est : ...
Liste de discussion entre les bénévoles participant au développement de l'application.
La page d'accueil de la liste : https://lists.wikimedia.fr/info/lingualibre
Introduction aux listes de diffusion : https://lists.wikimedia.fr/help/introduction

For me this works, but I wonder how to have non-French speakers not give up at some point.
Or at least clarify on https://www.mediawiki.org/wiki/New_Developers that you'll need to understand French to make it onto the mailing list?

Thoughts?

Aklapper changed the task status from Resolved to Declined.May 28 2018, 9:29 AM

For the records, we reverted this in T195565#4235283 so Lingualibre is currently not a featured project yet/anymore.

Post-hackathon @Yug shared with me a project via email centered around text-to-speech for LinguaLibre to be promoted to new developers via the guide. Just checking if we all are on the same page here cc @Aklapper @0x010C